<?php
/**
 * 2008-today Mediacom87
 *
 * NOTICE OF LICENSE
 *
 * Read in the module
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    Mediacom87 <support@mediacom87.freshdesk.com>
 * @copyright 2008-today Mediacom87
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

include_once dirname(__FILE__) . '/class/mediacom87.php';

class MedNbOrderRef extends Module
{
    public $smarty;
    public $context;
    public $controller;
    public $conf;
    public $errors = [];
    public $mediacom87;
    public $tpl_path;
    protected $config_form = false;
    public $addons_id = '';

    public function __construct()
    {
        $this->name = 'mednborderref';
        $this->tab = 'administration';
        $this->version = '1.2.0';
        $this->author = 'Mediacom87';
        $this->need_instance = 0;
        $this->module_key = 'ae2710fa682bcc32d452ed5d84b1b86d';
        $this->ps_versions_compliancy = ['min' => '1.6.0.0', 'max' => '8.99.99'];

        $this->bootstrap = true;

        parent::__construct();

        $this->displayName = $this->l('Changing the order reference type');
        $this->description = $this->l('Change the order reference from letters to numbers to make it easier to read');

        $this->mediacom87 = new MedNbOrderRefClass($this);

        $this->tpl_path = _PS_MODULE_DIR_ . $this->name;
    }

    public function install()
    {
        if (!parent::install()) {
            return false;
        }

        return true;
    }

    public function uninstall()
    {
        if (!parent::uninstall()) {
            return false;
        }

        return true;
    }

    public function getContent($tab = 'AdminModules')
    {
        $output = '';

        $form_url = AdminController::$currentIndex
            . '&amp;configure=' . $this->name
            . '&amp;token=' . Tools::getAdminToken(
                $tab
                . (int) Tab::getIdFromClassName($tab)
                . (int) $this->context->cookie->id_employee
            );

        $this->context->smarty->assign(
            [
                'form_url' => $form_url,
                'addons_id' => $this->addons_id,
                'tpl_path' => $this->tpl_path,
                'img_path' => $this->_path . 'views/img/',
                'base_link' => $this->context->shop->getBaseURI(),
                'languages' => Language::getLanguages(false),
                'description' => $this->description,
                'author' => $this->author,
                'name' => $this->name,
                'version' => $this->version,
                'ps_version' => defined('_PS_VERSION_') ? _PS_VERSION_ : null,
                'tb_version' => defined('_TB_VERSION_') ? _TB_VERSION_ : null,
                'php_version' => phpversion(),
                'iso_code' => $this->mediacom87->isoCode(),
                'iso_domain' => $this->mediacom87->isoCode(true),
                'id_active_lang' => $this->context->language->id,
                'json_modules' => $this->mediacom87->medJsonModuleFile(),
                'mediacom87_feed' => $this->mediacom87->medJsonFeedFile(),
            ]
        );

        $this->context->controller->addJS($this->_path . 'libraries/js/riotcompiler.min.js');

        $this->context->controller->addCSS($this->_path . 'views/css/admin.css');

        $output .= $this->display(__FILE__, 'views/templates/admin/admin.tpl');
        $output .= $this->display(__FILE__, 'libraries/prestui/ps-tags.tpl');

        return $output;
    }
}
